@import "../../../style/index.scss";

.burger{
  z-index: 9999;
  
  perspective: 500;
  transform-origin: left;

  @include animate;

  &__box{
    display: inline-block;
  }

  &__btn{
    margin: 0 6px;
    background: none;
    border: $black 3px solid;

    height: 40px;

    color: $white;

    @include animate;
  }

  &__btn:hover,
  &__btn-active{
    border-bottom: $turquoise 3px solid;
  }
}

@media (max-width: $widthMobile) {
  .burger{
    position: absolute; 
    left: 0;

    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 20px 20px 10px;

    background:linear-gradient(-45deg, transparent 18px, $black 0); 

    &__btn{
      width: 100%;
      padding: 10px 30px;
    }
  }
}
